Package org.apache.commons.io.input

# Class AutoCloseInputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<AutoCloseInputStream,AutoCloseInputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<AutoCloseInputStream,AutoCloseInputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<AutoCloseInputStream,AutoCloseInputStream.Builder>
org.apache.commons.io.input.AutoCloseInputStream.Builder

All Implemented Interfaces:
  `IOSupplier<AutoCloseInputStream>`

Enclosing class:
  `AutoCloseInputStream`

public static class AutoCloseInputStream.Builder extends AbstractStreamBuilder<AutoCloseInputStream,AutoCloseInputStream.Builder>
Builds a new `AutoCloseInputStream` instance.

For example:

     AutoCloseInputStream s = AutoCloseInputStream.builder()
       .setPath(path)
       .get();

     AutoCloseInputStream s = AutoCloseInputStream.builder()
       .setInputStream(inputStream)
       .get();

Since:
  2.13.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AutoCloseInputStream`
  `get()`
  Constructs a new instance.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public AutoCloseInputStream get() throws IOException
    Constructs a new instance.

    This builder use the aspect InputStream.

    Returns:
      a new instance.
    Throws:
      `IOException` - if an I/O error occurs.
      `IllegalArgumentException` - if the buffer is not large enough to hold a complete character.